Bug 8413 - [PATCH] Нужно добавить поддержку кодировки cp1251
: [PATCH] Нужно добавить поддержку кодировки cp1251
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/a2ps)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-11-04 04:44 by
Modified: 2013-08-15 19:56 (History)


Attachments
Патч для поддержки cp1251 (6.54 KB, patch)
2005-11-04 04:53, Alexei V. Mezin
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-11-04 04:44:41
Вот по этому адресу
http://lists.gnu.org/archive/html/bug-a2ps/2003-04/msg00007.html нашелся патч
для добавления поддержки кодировки cp1251. Для работы должен быть установлен
пакет urw-fonts.
------- Comment #1 From 2005-11-04 04:53:24 -------
Created an attachment (id=1229) [details]
Патч для поддержки cp1251

Вот патч, который добавляет файл с encodings, подправляет скрипт
make_fonts_map.sh и настройки  в /etc/a2ps. Кроме того, чуть-чуть выправляет
параметры для automake (поправил как умел, сильно не пинайте). Для сборки
пакета в spec нужно внести (видимо в секцию build) 
%set_automake_version 1.4
%__automake

Патч подогнан под нынешний пакет urw-fonts. Шрифты там кривые, в частности
неверны имена. Бага на urw-fonts висит. Если пакет исправят, то придется
подправить файл с encodings.
------- Comment #2 From 2006-12-04 15:21:59 -------
Посмотрю что можно сделать
------- Comment #3 From 2010-10-09 17:38:23 -------
В подсказку кому заинтересованному в 4.14 (не готов так вот хвататься за a2ps):

~ftp/pub/Linux/Gentoo/portage/app-text/a2ps/files> ls
4.13c-gcc34.patch                     a2ps-4.13-fixcachecheck.patch
50a2ps-gentoo.el                      a2ps-4.13-manpage-chmod.patch
a2ps-4.13c-emacs.patch                a2ps-4.13-select-freebsd.patch
a2ps-4.13c-fixps.patch                a2ps-4.13-stdout.diff
a2ps-4.13c-fnmatch-replacement.patch  a2ps-4.14-check-mempcpy.patch
a2ps-4.13c-locale-gentoo.diff         a2ps-4.14-cleanup.patch
a2ps-4.13c-psmandup.diff              a2ps-4.14-fix-stpcpy-proto.patch
a2ps-4.13c-psset.patch                a2ps-4.14-psset.patch
a2ps-4.13c-stdarg.patch               a2ps-4.14-ptrdiff_t.patch
------- Comment #4 From 2013-08-15 19:56:06 -------
apparently wontfix